Bug 30740 - Link to authorities 'used in' should not use equal
Summary: Link to authorities 'used in' should not use equal
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29048
  Show dependency treegraph
 
Reported: 2022-05-12 07:11 UTC by Fridolin Somers
Modified: 2022-05-16 21:21 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30740: Link to authorities 'used in' should not use equal (3.81 KB, patch)
2022-05-12 07:26 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 30740: Link to authorities 'used in' should not use equal (3.86 KB, patch)
2022-05-12 23:08 UTC, David Nind
Details | Diff | Splinter Review
Bug 30740: Link to authorities 'used in' should not use equal (3.91 KB, patch)
2022-05-13 07:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-05-12 07:11:11 UTC
When showing an authority, there is a link to search biblio records it is used in.
Actually this link uses 'q=an=$auth_id', this is wrong for an URL, and other places use 'idx:value'.
It does not break search with Zebra nor Elasticsearch but it is better to use ':'
Comment 1 Fridolin Somers 2022-05-12 07:26:24 UTC
Created attachment 134916 [details] [review]
Bug 30740: Link to authorities 'used in' should not use equal

When showing an authority, there is a link to search biblio records it is used in.
Actually this link uses 'q=an=$auth_id', this is wrong for an URL, and other places use 'idx:value'.
It does not break search with Zebra nor Elasticsearch but it is better to use ':'

Test plan :
Check changed links return same results with and without patch
Comment 2 David Nind 2022-05-12 23:08:17 UTC
Created attachment 134938 [details] [review]
Bug 30740: Link to authorities 'used in' should not use equal

When showing an authority, there is a link to search biblio records it is used in.
Actually this link uses 'q=an=$auth_id', this is wrong for an URL, and other places use 'idx:value'.
It does not break search with Zebra nor Elasticsearch but it is better to use ':'

Test plan :
Check changed links return same results with and without patch

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2022-05-12 23:10:32 UTC
Testing notes using koha-testing-docker.

I used the authority term "Agile software development" (authority id = 133) - this is used in two records in the sample data.

The search results were the same before and after the patch was applied.

I only tested with the Zebra search engine.

Links are changed/fixed on:
- the OPAC search results page - number of records link: changes an=133 to an:133
- the staff interface details page - "Used on X record(s)" link: changes an=133 to an:133

Details
=======

OPAC
~~~~

- Before:

  . Search results page - number of records link: http://127.0.0.1:8080/cgi-bin/koha/opac-search.pl?type=opac&op=do_search&q=an=133
  
  . Authority details page - "Number of records used in: 2": http://127.0.0.1:8080/cgi-bin/koha/opac-search.pl?type=opac&q=133&idx=an,phr

- After:
  . Search results page - number of records link: http://127.0.0.1:8080/cgi-bin/koha/opac-search.pl?type=opac&op=do_search&q=an:133
  
  . Authority details page - "Number of records used in: 2":  http://127.0.0.1:8080/cgi-bin/koha/opac-search.pl?type=opac&q=133&idx=an,phr

Staff interface
~~~~~~~~~~~~~~~

- Before:

  . Search results page - number of records link: http://127.0.0.1:8081/cgi-bin/koha/catalogue/search.pl?type=intranet&op=do_search&idx=an,phr&q=133
  
  . Authority details page - "Used in 2 record(s)": http://127.0.0.1:8081/cgi-bin/koha/catalogue/search.pl?type=intranet&op=do_search&q=an=133

- After:

  . Search results page - number of records link: http://127.0.0.1:8081/cgi-bin/koha/catalogue/search.pl?type=intranet&op=do_search&idx=an,phr&q=133
  
  . Authority details page - "Used in 2 record(s)": http://127.0.0.1:8081/cgi-bin/koha/catalogue/search.pl?type=intranet&op=do_search&q=an:133
Comment 4 Fridolin Somers 2022-05-13 02:30:17 UTC
Ahhh link is different between results and detail page :
q=133&idx=an,phr
q=an=133

I will open an other bug report for that
Comment 5 Katrin Fischer 2022-05-13 07:22:20 UTC
(In reply to Fridolin Somers from comment #4)
> Ahhh link is different between results and detail page :
> q=133&idx=an,phr
> q=an=133
> 
> I will open an other bug report for that

No need to - I did and fixed it, has been waiting for sign-off:
Bug 29048 - Incorrect search for linked authority records from authority search result list in OPAC
Comment 6 Katrin Fischer 2022-05-13 07:26:05 UTC
Created attachment 134945 [details] [review]
Bug 30740: Link to authorities 'used in' should not use equal

When showing an authority, there is a link to search biblio records it is used in.
Actually this link uses 'q=an=$auth_id', this is wrong for an URL, and other places use 'idx:value'.
It does not break search with Zebra nor Elasticsearch but it is better to use ':'

Test plan :
Check changed links return same results with and without patch

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 7 Fridolin Somers 2022-05-16 21:21:04 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄